/*
	Copyright (c) 2004 PXI Project Team

	Permission is hereby granted, free of charge, to any person obtaining a copy of
	this software and associated documentation files (the "Software"), to deal in the
	Software without restriction, including without limitation the rights to use,
	copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
	Software, and to permit persons to whom the Software is furnished to do so,
	subject to the following conditions:

	The above copyright notice and this permission notice shall be included in all copies
	or substantial portions of the Software.

	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
	INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
	PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
	HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
	OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
	SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

#include <string>
#include "PXITypes.h"
using namespace std;

color::color(void)
{
	red = 0;
	green = 0;
	blue = 0;
}

color::color(int r, int g, int b)
{
	red = r;
	green = g;
	blue = b;
}

rect::rect(void)
{
	left = 0;
	top = 0;
	right = 0;
	bottom = 0;
}

rect::rect(int l, int t, int r, int b)
{
	left = l;
	top = t;
	right = r;
	bottom = b;
}

point::point(void)
{
	x = 0;
	y = 0;
}

point::point(int xx, int yy)
{
	x = xx;
	y = yy;
}

point3d::point3d(void)
{
	x = 0;
	y = 0;
	z = 0;
}

point3d::point3d(int xx, int yy, int zz)
{
	x = xx;
	y = yy;
	z = zz;
}

dffref::dffref(void)
{
	symbol = "        ";
	id = 0;
}

dffref::dffref(string s, int i)
{
	symbol = s;
	id = i;
}
